<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <groupId>cn.ey.biz</groupId>
        <artifactId>biz-parent</artifactId>
        <version>1.0.5</version>
        <relativePath/>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <modules>
        <module>biz-module-system-api</module>
        <module>biz-module-weaver-api</module>
        <module>biz-module-system-srv</module>
        <module>biz-module-external-api</module>
    </modules>
    <artifactId>biz-module-system</artifactId>
    <version>${revision}</version>
    <packaging>pom</packaging>

    <name>${project.artifactId}</name>
    <description>
        系统模块
    </description>

    <properties>
        <revision>1.0.44</revision>
    </properties>
    <repositories>
        <repository>
            <id>nexus-releases-local</id>
            <name>Nexus local repository</name>
            <url>http://maven.eydigital.cn:8081/repository/maven-public/</url>
        </repository>
    </repositories>
    <build>
        <plugins>
            <plugin>
                <groupId>org.codehaus.mojo</groupId>
                <artifactId>flatten-maven-plugin</artifactId>

                <version>1.3.0</version>
                <executions>
                    <execution>
                        <id>flatten</id>
                        <phase>process-resources</phase>
                        <goals>
                            <goal>flatten</goal>
                        </goals>
                        <configuration>
                            <updatePomFile>true</updatePomFile>
                            <flattenMode>resolveCiFriendliesOnly</flattenMode>
                        </configuration>
                    </execution>
                    <execution>
                        <id>flatten.clean</id>
                        <phase>clean</phase>
                        <goals>
                            <goal>clean</goal>
                        </goals>
                    </execution>
                </executions>
                <inherited>true</inherited>
                <configuration>
                    <updatePomFile>true</updatePomFile>
                    <flattenMode>resolveCiFriendliesOnly</flattenMode>
                </configuration>
            </plugin>
        </plugins>
    </build>

</project>
